Query builder: added ' ' around numeric fields (wrong)

2011-09-24 01:07 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14242

Description

When building a query with the query builder, ' are added surrounding any field, including numeric ones; as a consequence, queries fail. It

is a regression (it worked until recently).

Associated revisions

Revision 3828f221 - 2011-12-25 07:23 PM - Jürgen Fischer

fix #4305

Revision 5d08c8b6 - 2011-12-26 12:35 PM - Jürgen Fischer

fix #4305

History

#1 - 2011-09-30 12:59 PM - Jürgen Fischer

- Status changed from Open to Feedback

not reproducable here - comparing numeric fields to strings containing numbers works fine with postgres and shapes.

#2 - 2011-09-30 03:01 PM - James Stott

I get the same problem. Osgeo4w dev

#3 - 2011-10-01 02:33 AM - Giovanni Manghi

Jürgen Fischer wrote:

not reproducable here - comparing numeric fields to strings containing numbers works fine with postgres and shapes.

I can confirm also on trunk on shapefiles.

This query
"POP2010" = '60000'

works if the layer is a PostGIS one, but fails on shapefiles (POP2010 is an integer field)

An error occurred when executing the query.

The data provider said:

OGR[3] error 1: Type mismatch or improper type of arguments to = operator.

#4 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2011-12-25 08:38 AM - Alexander Bruy

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

More info in this bug. Query fails only when Query builder opened from layer context menu or from layer properties dialog (when query used to limit visible

features). If query builder opened from attribute table Advanced search - all works fine. I think this is because in one case QgsQgsSearchQueryBuilder

used and in another QgsQueryBuilder.

#6 - 2011-12-25 10:23 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:"3828f22122fe00427410cc35f29b4322733e4c0a".
